spring:
  application:
    name: ensign-gateway

  cloud:
    gateway:

      routes:
        - id: proxy_route # ??????
          uri: ${kingdee.test-inner-end-point}
          predicates:
            - Path=/crm-api/proxy/do/**
          filters:
            - RewritePath=/crm-api/proxy/do/(?<segment>.*), /${segment}

        - id: system-app-api # ??CRM????
          uri: http://127.0.0.1:38080
          predicates:
            - Path=/admin-api/**

        - id: crm-api-proxy # ????????
          uri: http://127.0.0.1:38080
          predicates:
            - Path=/crm-api/proxy/file/**
  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 20MB
server:
  port: 48080

kingdee:
  test-public-end-point: 'http://122.4.221.133:8022'
  test-inner-end-point: 'http://10.64.112.152:8022'
  prod-public-end-point: 'http://122.4.221.130:8022'
  prod-inner-end-point: 'http://10.64.111.134:8022'
  local: 'http://127.0.0.1:38080'

logging:
  level:
    reactor:
      netty:
        http:
          server:
            logging:
              AccessLog: INFO